List all patch actions for an app

Returns all remediation actions for this application. Defaults to the last 30 days. Dates use the format yyyy-mm-dd and the range may span at most 366 days.

Path Params
string
required

The app_id returned in GET /apps.

Query Params
string
enum

Filter by action status.

Allowed:
string

Restrict to actions targeting one device.

string

Comma-separated device groups.

string

Comma-separated device tags.

date

ISO 8601 date (yyyy-mm-dd). Defaults to today − 30 days (UTC).

date

ISO 8601 date (yyyy-mm-dd). Defaults to today (UTC). Must be on or after from.

integer
≥ 1

Page number to return. Starts at 1.

integer
1 to 100

Number of results per page. Maximum 100.

string
enum

Field to sort results by.

Allowed:
string
enum

Defaults to desc for created_at, asc otherwise.

Allowed:
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json